# Class RenditionSelectedEvent

#### Hierarchy

- RenditionEvent
  - RenditionSelectedEvent

#####
Index

### Constructors

constructor

### Properties

cause
renditionInfo
type

## Constructors

### constructor

- new RenditionSelectedEvent(renditionInfo, cause): RenditionSelectedEvent

- #### Parameters

  - renditionInfo: RenditionInfo
  - cause: RenditionCause

  #### Returns RenditionSelectedEvent

  Inherited from RenditionEvent.constructor

## Properties

### `Readonly` cause

cause: RenditionCause

Inherited from RenditionEvent.cause

### `Readonly` renditionInfo

renditionInfo: RenditionInfo

Inherited from RenditionEvent.renditionInfo

### `Readonly` type

type: "renditionselected" = Events.RenditionSelected

Overrides RenditionEvent.type